Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class SearchFieldAddon

    java.lang.Object
      org.jdesktop.swingx.plaf.AbstractComponentAddon
          org.jdesktop.swingx.plaf.SearchFieldAddon

All Implemented Interfaces:
  ComponentAddon

    public class SearchFieldAddon

extends AbstractComponentAddon

Field Summary
`static java.lang.String` | `BUTTON_SOURCE`
`static java.lang.String` | `SEARCH_FIELD_SOURCE`

Constructor Summary
`SearchFieldAddon()`

Method Summary
`protected void` | `addBasicDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Adds default key/value pairs to the given list.
`protected void` | `addMacDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected void` | `addMetalDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected void` | `addMotifDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected void` | `addWindowsDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected boolean` | `isWindows(LookAndFeelAddons addon)`

Methods inherited from class org.jdesktop.swingx.plaf.AbstractComponentAddon
`addLinuxDefaults, addNimbusDefaults, getName, initialize, isLinux, isMac, isMetal, isMotif, isNimbus, isPlastic, isSynth, uninitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEARCH_FIELD_SOURCE

    public static final java.lang.String SEARCH_FIELD_SOURCE

See Also:
  Constant Field Values

### BUTTON_SOURCE

    public static final java.lang.String BUTTON_SOURCE

See Also:
  Constant Field Values

Constructor Detail

### SearchFieldAddon

    public SearchFieldAddon()

Method Detail

### addBasicDefaults

    protected void addBasicDefaults(LookAndFeelAddons addon,
                                    DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Adds default key/value pairs to the given list.

  Overrides:
    `addBasicDefaults` in class `AbstractComponentAddon`

### addMetalDefaults

    protected void addMetalDefaults(LookAndFeelAddons addon,
                                    DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addMetalDefaults` in class `AbstractComponentAddon`

### addWindowsDefaults

    protected void addWindowsDefaults(LookAndFeelAddons addon,
                                      DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addWindowsDefaults` in class `AbstractComponentAddon`

### addMotifDefaults

    protected void addMotifDefaults(LookAndFeelAddons addon,
                                    DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addMotifDefaults` in class `AbstractComponentAddon`

### addMacDefaults

    protected void addMacDefaults(LookAndFeelAddons addon,
                                  DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addMacDefaults` in class `AbstractComponentAddon`

### isWindows

    protected boolean isWindows(LookAndFeelAddons addon)

  Overrides:
    `isWindows` in class `AbstractComponentAddon`
  Returns:
    true if the addon is the Windows addon or its subclasses

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.